- oraclejdk8
- openjdk7
-script: mvn clean verify
-
install: true
+script: ./travis.sh
-# Container-based infrastructure
-sudo: false
-
-# Keep Maven local repository between builds
cache:
directories:
- '$HOME/.m2/repository'
--- /dev/null
+#!/bin/bash
+
+set -euo pipefail
+
+function installTravisTools {
+ curl -sSL https://raw.githubusercontent.com/dgageot/travis-utils/master/install.sh | sh
+ source /tmp/travis-utils/utils.sh
+}
+
+installTravisTools
+build_green_sonarqube_snapshot
+mvn verify -B -e -V